import { countries } from "countries-list";
import { countriesList } from "./domelements";

const countriesSorted = [];
Object.values(countries).forEach((country) => {
  countriesSorted.push(country.name);
});
countriesSorted.sort();
let countryPattern = "";

countriesSorted.forEach((country) => {
  const optionInList = document.createElement("option");
  optionInList.textContent = country;
  countriesList.appendChild(optionInList);
  [...country].forEach((letter) => {
    countryPattern += `[${letter.toLowerCase()}${letter.toUpperCase()}]`;
  });
  countryPattern += "|";
});

countryPattern = countryPattern.substring(0, countryPattern.length - 1); // remove "|" at the end to avoid empty match

const COUNTRY_REGEX = new RegExp(countryPattern);

export default COUNTRY_REGEX;
